Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Defines | Variables
memorypool.h File Reference
`#include <vector>`
`#include <iostream>`
`#include <cstdlib>`
`#include <cassert>`
Include dependency graph for memorypool.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::MemoryBlocks
- class tlp::MemoryPool< TYPE >
    That class enables to easily create a memory pool for an a class. More...

## Namespaces

- namespace tlp

## Defines

- #define THREAD_NUMBER 0

## Variables

- static const size_t MAXNBTHREADS = 1
- static const size_t BUFFOBJ = 20

## Define Documentation

#define THREAD_NUMBER 0

This file is part of Tulip (www.tulip-software.org)

Authors: David Auber and the Tulip development Team from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest

Tulip is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Tulip is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## Variable Documentation

const size_t BUFFOBJ = 20`[static]`

const size_t MAXNBTHREADS = 1`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012